import { GameMap } from '/static/js/game_map/base.js'
import { Kyo } from './player/kyo.js';


class KOF{
    constructor(id) {
        this.$kof = $('#' + id);
        this.gamemap = new GameMap(this); // root都是指kof对象
        this.players = [
            new Kyo(this,{
                id: 0, 
                x: 100,
                y: 0,
                width: 120,
                height: 200,
                color: 'blue',
            }),
            new Kyo(this,{
                id: 1, 
                x: 740,
                y: 0,
                width: 120,
                height: 200,
                color: 'red',
            })
        ]
    }
}

export {
    KOF,
}